Bug 1683997 - permissions in /var/lib/ceph/mon aren't set properly
Summary: permissions in /var/lib/ceph/mon aren't set properly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Ansible
Version: 3.2
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: z2
: 3.2
Assignee: Guillaume Abrioux
QA Contact: Vasishta
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-28 09:16 UTC by Guillaume Abrioux
Modified: 2019-05-01 17:17 UTC (History)
10 users (show)

Fixed In Version: RHEL: ceph-ansible-3.2.8-1.el7cp Ubuntu: ceph-ansible_3.2.8-2redhat1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-30 15:57:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ceph ceph-ansible pull 3647 None None None 2019-02-28 09:28:04 UTC
Red Hat Product Errata RHSA-2019:0911 None None None 2019-04-30 15:57:21 UTC

Description Guillaume Abrioux 2019-02-28 09:16:21 UTC
Description of problem:

ceph-ansible sets permission for directories and files to 755 recursively in /var/lib/ceph/mon/{{ cluster }}-{{ monitor_name }} while it should set directories to 755 and files to 644

Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. deploy a cluster with ceph-ansible
2. when rerunning ceph-ansible, it overrides existing permissions


Actual results:
ceph-ansible sets permissions for directories and files to 755 recursively in /var/lib/ceph/mon/{{ cluster }}-{{ monitor_name }} while it should set directories to 755 and files to 644

Expected results:
ceph-ansible sets permissions for directories to 755 and files to 644

Comment 5 errata-xmlrpc 2019-04-30 15:57:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0911


Note You need to log in before you can comment on or make changes to this bug.